#include<iostream>
using namespace std;
int main ()
{
    int i,j,n,br=0,br1=0,pos,p;
    cin>>n;
    int x[n];
    for(i=0; i<n; i++)
    {
        cin>>x[i];
        p=x[i];

    }
    if(n==2)
    {
        cout<<x[1]<<" "<<x[0];
        return 0;
    }

    else
    {
        for(i=0; i<n; i++)
        {
            j=i+1;
            if(x[j]>x[i])
            {

                br++;
            }
            if(x[i]>x[j])
                pos=i;

        }

        if(br==n)
        {
            swap(x[n-1],x[0]);
        }
        else
            swap(x[pos],x[pos+1]);
    }

    for(i=0; i<n; i++)
        cout<<x[i]<<' ';

    return 0;
}